Eina_Value to/from Message

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Eina_Value to/from Message
Eldbus » Message

## Functions
Eina_Value_Struct_Desc * | eina_value_util_struct_desc_new (void)
| Create a basic Eina_Value struct desc with refcounting. More...
Eina_Value * | eina_value_util_time_string_new (const char *timestr)
| Create a new Eina_Value containing the passed parameter. More...
Eina_Value * | eldbus_message_to_eina_value (const Eldbus_Message *msg)
| Convert Eldbus_Message to Eina_Value. More...
Eina_Value * | eldbus_message_iter_struct_like_to_eina_value (const Eldbus_Message_Iter *iter)
| Convert Eldbus_Message_Iter of type variant, struct or dict entry to Eina_Value. More...
Eina_Bool | eldbus_message_from_eina_value (const char *signature, Eldbus_Message *msg, const Eina_Value *value)
| Convert Eina_Value to Eldbus_Message. More...

## Detailed Description

## Function Documentation

Eina_Value_Struct_Desc* eina_value_util_struct_desc_new | ( | void |  | ) |

Create a basic Eina_Value struct desc with refcounting.

Returns
  The Eina_Value_Struct_Desc on success, `NULL` on failure

Since
  1.12

References EINA_VALUE_STRUCT_DESC_VERSION.

Eina_Value* eina_value_util_time_string_new | ( | const char * | timestr | ) |

Create a new Eina_Value containing the passed parameter.

Parameters

  timestr | The value to use

Returns
  The Eina_Value

Since
  1.12

References eina_value_new(), eina_value_set(), EINA_VALUE_TYPE_TIMESTAMP, and strptime().

Eina_Value* eldbus_message_to_eina_value | ( | const Eldbus_Message * | msg | ) |

Convert Eldbus_Message to Eina_Value.

Parameters

  msg | Message

Returns
  Eina_Value of type Eina_Value_Type_Struct

Examples:
  complex-types-client-eina-value.c.

References eldbus_message_iter_get().

Eina_Value* eldbus_message_iter_struct_like_to_eina_value | ( | const Eldbus_Message_Iter * | iter | ) |

Convert Eldbus_Message_Iter of type variant, struct or dict entry to Eina_Value.

Parameters

  iter | Message iterator

Returns
  Eina_Value of type Eina_Value_Type_Struct

Eina_Bool eldbus_message_from_eina_value | ( | const char * | signature,
|  | Eldbus_Message * | msg,
|  | const Eina_Value * | value
| ) |  |

Convert Eina_Value to Eldbus_Message.

Parameters

  signature | dbus signature
  msg | where data will be put
  value | source of data, must be of type Eina_Value_Type_Struct

Returns
  success or not

Examples:
  complex-types-client-eina-value.c.

References DBG, EINA_FALSE, EINA_TRUE, eina_value_get(), EINA_VALUE_TYPE_ARRAY, eina_value_type_get(), EINA_VALUE_TYPE_STRUCT, eldbus_message_iter_basic_append(), eldbus_message_iter_get(), and ERR.